# Class ValidationStatusProvider

java.lang.Object
org.eclipse.core.databinding.ValidationStatusProvider

Direct Known Subclasses:
  `Binding, MultiValidator`

public abstract class ValidationStatusProvider extends Object
A validation status provider tracks the state of zero or more target observables and zero or more model observables and produces a validation result.

Since:
  1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`disposed`

## Constructor Summary

Constructors
Constructor
Description
`ValidationStatusProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes of this ValidationStatusProvider.
`abstract IObservableList<IObservable>`
`getModels()`
Returns an `IObservableList` containing the model observables (if any) that are being tracked by this validation status provider.
`abstract IObservableList<IObservable>`
`getTargets()`
Returns an `IObservableList` containing the target observables (if any) that are being tracked by this validation status provider.
`abstract IObservableValue<IStatus>`
`getValidationStatus()`
`boolean`
`isDisposed()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### disposed

protected boolean disposed

## Constructor Details

### ValidationStatusProvider

public ValidationStatusProvider()

## Method Details

### getValidationStatus

public abstract IObservableValue<IStatus> getValidationStatus()

Returns:
  an `IObservableValue` containing the current validation status

### getTargets

public abstract IObservableList<IObservable> getTargets()
Returns an `IObservableList` containing the target observables (if any) that are being tracked by this validation status provider.

Returns:
  an `IObservableList` (may be empty)

### getModels

public abstract IObservableList<IObservable> getModels()
Returns an `IObservableList` containing the model observables (if any) that are being tracked by this validation status provider.

Returns:
  an `IObservableList` (may be empty)

### dispose

public void dispose()
Disposes of this ValidationStatusProvider. Subclasses may extend, but must call super.dispose().

### isDisposed

public boolean isDisposed()

Returns:
  true if the binding has been disposed. false otherwise.